{
  'variables': {
    'vrpc_path': '<!(if [ -e ../vrpc ]; then echo ../vrpc/vrpc; else echo node_modules/vrpc/vrpc; fi)'
  },
  'targets': [
    {
      'target_name': 'cybus_profinet',
      'conditions': [
        ['"<!(echo $PROFINET_DEBUG)"=="1"', {'defines': ['PROFINET_DEBUG']}],
	# Conditionally link to an ubuntu shared object or default to an alpine based one based on the value of $OS
        ['"<!(echo $OS)"=="ubuntu"', {'link_settings': {'libraries': ['-l:profinet-ubuntu-18.04.so']}}, {'libraries': ['-l:profinet-alpine-3.6.so']}]
      ],
      'cflags_cc!': ['-std=gnu++0x', '-fno-rtti', '-fno-exceptions'],
      'cflags_cc': ['-std=c++14', '-fPIC'],
      'include_dirs': [
        '<(vrpc_path)',
        'cpp',
        'profinet-stack/include', # profinet-lib include dir
       ],
      'sources': [
        '<(vrpc_path)/addon.cpp',
      ]
    }
  ]
}
